Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005127 [JEDI VCL] 00 JVCL Components minor have not tried 2010-01-24 15:20 2012-02-29 16:53
Reporter cecheto View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0005127: Click event in TThumbNailView does not select the Thumbnail correctly
Description When using ssVertical scroll mode and vtFitToScreen align view, if the user clicks in the right side of the thumbnail it is not selected.
Additional Information This is caused because it uses the defined thumbnail gap for calculating the , instead of the calculated gap for aligment.
It can be solved by replacing the line:
  TempX := JkCeil((X + HorzScrollBar.Position) / (FThumbSize.X + FThumbGap));
with:
  if (FAlignView = vtFitToScreen) and (FScrollMode = smVertical) then
    Spact := ((Width - 20) - (FThumbSize.X * FMaxX)) div (FMaxX + 1)
  else
    Spact := FThumbGap;
  TempX := JkCeil((X + HorzScrollBar.Position) / (FThumbSize.X + Spact));
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017243)
obones (administrator)
2010-03-08 15:27

Please provide the zipped sources of a sample application showing this
(0017444)
obones (administrator)
2010-06-07 13:46

Any news?
(0017786)
obones (administrator)
2010-10-08 15:17

Assuming this is fixed

- Issue History
Date Modified Username Field Change
2010-01-24 15:20 cecheto New Issue
2010-03-08 15:27 obones Note Added: 0017243
2010-03-08 15:27 obones Status new => feedback
2010-06-07 13:46 obones Note Added: 0017444
2010-10-08 15:17 obones Note Added: 0017786
2010-10-08 15:17 obones Status feedback => resolved
2010-10-08 15:17 obones Fixed in Version => Daily / SVN
2010-10-08 15:17 obones Resolution open => fixed
2010-10-08 15:17 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker